Name: 		x265
Version: 	3.3
Summary: 	H265/AVC encoder
Release: 	%mkrel 1

%define major   191
%define libname %mklibname %{name}_ %{major}
%define develname %mklibname -d %{name}

Source0: 	http://ftp.videolan.org/pub/videolan/x265/%{name}-%{version}.tar.xz
Patch0:    x265.pkgconfig.patch
Patch1:    x265-fix_enable512.patch
License: 	GPLv2
Group: 		Video
Url: 		http://x265.org/
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:	yasm
BuildRequires:  cmake
BuildRequires:  nasm >= 2.13
%ifarch x86_64
BuildRequires:  lib64numa-devel >= 2.0.9
%endif

%description
x265 is an open-source project and free application library for encoding
video streams into the H.265/High Efficiency Video Coding (HEVC) format.

This package is in tainted repository as the video encoder may be covered
by software patents.

%package -n %{libname}
Summary: Shared library of x265
Group: System/Libraries

%description -n %{libname}
x265 dynamic libraries.

%package -n %{develname}
Summary: H265/AVC encoding library headers
Group: Development/Libraries
Requires: %{libname} = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for %{name}.

%prep
%setup -q -n %{name}-%{version}
%apply_patches

%build
cd build
mkdir -p 10bit 12bit

pushd 12bit
%cmake ../../../source \
                -DHIGH_BIT_DEPTH=ON \
                -DEXPORT_C_API=OFF \
                -DENABLE_SHARED=OFF \
                -DENABLE_CLI=OFF \
                -DMAIN12=ON \
                -DENABLE_TESTS=OFF \
                -DENABLE_PIC=ON 
make %{?_smp_mflags}
mv libx265.a libx265_main12.a
popd

pushd 10bit
%cmake ../../../source \
                -DHIGH_BIT_DEPTH=ON \
                -DEXPORT_C_API=OFF \
                -DENABLE_SHARED=OFF \
                -DENABLE_CLI=OFF \
                -DENABLE_TESTS=OFF \
                -DENABLE_PIC=ON
make %{?_smp_mflags}
mv libx265.a libx265_main10.a
popd

cd ..
%cmake ../source \
                -DENABLE_TESTS=OFF \
                -DENABLE_CLI=ON \
                -DENABLE_PIC=ON \
                -DLINKED_10BIT=ON \
                -DLINKED_12BIT=ON \
                -DEXTRA_LINK_FLAGS="-L12bit/build -L10bit/build" \
                -DEXTRA_LIB="x265_main10.a;libx265_main12.a"  
make %{?_smp_mflags}

mv libx265.a libx265_main.a

%install
rm -rf %buildroot
%make_install -C build

#drop this
find %{buildroot} -type f -name "*.a" -delete -print

%files
%doc COPYING
%{_bindir}/%{name}

%files -n %{libname}
%{_libdir}/libx265.so.%{major}

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/libx265.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Mar 28 2020 onkelho <oh.quait at gmail.com> - 3.3-1pclos2020
- new version - release on Feb 17 2020 +12 commites/fixes
- zone: Fix BufferRate mismatch and log unclipped BufferFillFinal into csv
- Edge Aware Quad Tree Establishment.
- zone: Enable strict VBV conformance for zone encode as per requirement
- zone: Remove unnessary conditions on zone reconfig
- Added tag 3.3 for changeset 057215961bc4
- Merge with Release_3.3
- Merge with stable
- Fix: segmentation fault for hist-scenecut option
- Add option to get global maxrate
- Add aarch64 support - Part 1
- Add aarch64 support - Part 2
- Fix: clis in regression txt file.

* Tue Mar 24 2020 onkelho <oh.quait at gmail.com> - 3.2-1pclos2020
- new version - release

* Tue Mar 12 2019 pckg <pckg at email.cz> 3.0-1pclos2019
- update
- build deps numa-devel, nasm from ver. 2.13
- support 10 & 12bit color depths
- patches from OpenSUSE

* Thu Mar 09 2017 bb2 <bb2> - 2.2-2pclos2017
- rebuild

* Thu Feb 16 2017 bb <bb> 2.2-1pclos2017
- new version

* Wed Jun 29 2016 bb <bb> 1.9-1pclos2016
- import from france with mods

